/* 
 * Generic Hangul character type definition.
 * 
 * Copyright (C) 1995, 1997 Bang Jun-Young <bangjy@geocities.com> 
 */

#ifndef __HANCHAR_H
#define __HANCHAR_H

typedef union {
    unsigned short code;
    struct {
        unsigned short second : 8;
        unsigned short first  : 8;
    } byte;
    struct {
        unsigned short jong  : 5;
        unsigned short joong : 5;
        unsigned short cho   : 5;
        unsigned short flag  : 1;  /* MSB. Hangul = 1, others = 0. */
    } phon;
} hanchar_t;

#endif /* ifndef __HANCHAR_H */
