#ifndef __SYS_SEGMENT_H_
#define __SYS_SEGMENT_H_

#define GDT_SIZE 	8192
#define IDT_SIZE 	256

#define LIMIT_1MB 	0xFFFFF
#define LIMIT_4GB 	0xFFFFFFFF

#define KERNEL_CS	0x08	/* b=  1 000 */
#define KERNEL_DS	0x10	/* b= 10 000 */
#define USER_CS		0x1B	/* b= 11 011 */
#define USER_DS		0x23	/* b=100 011 */

#endif /* ifndef __SYS_SEGMENT_H_ */
