#ifndef _EQUIP_WEIX_H
#define _EQUIP_WEIX_H

#define EQAD ((0x040<<4)+0x010)     /* The BIOS equipment info  */
#define HD0_INFO (4*0x41)
#define HD1_INFO (4*0x46)

struct equip_list           /* The equipment in the computer*/
{
   char floppies;           /* Number of floppy disk drives */
   char has_coprocessor;         /* Do we have an FPU ?      */
   union
   {
      char memory_banks;         /* 16k memory banks in PCs  */
      char has_mouse;            /* PS/2 mouse available (IBMs)  */
   } mix;
   char initial_videomode;       /* Video mode at boot       */
   char has_DMA_support;          /* Do we support DMA ?      */
   char serial_ports;            /* How many serial ports ?  */
   char has_gameport;            /* Do we have a gameport ?  */
   char has_internal_modem;       /* Do we have an internal modem */
   char printer_ports;           /* How many printer ports ? */
};

void get_BIOS_equiplist(char is_IBMPS, struct equip_list *equip);
#endif
