/*-------------------------------------------------------------------*
 * kernel/exit.c
 *-------------------------------------------------------------------*/
/*
 * Weix Operating System
 * Copyright (C) 2001 Jung Won Gyo
 *
 * This program is  free software; you can  redistribute it and/or modify
 * it under the terms  of the GNU General Public  License as published by
 * the  Free Software Foundation; either version  2,  or (at your option)
 * any later version.
 *
 * This program is distributed  in the hope that  it will be  useful, but
 * WITHOUT    ANY  WARRANTY;  without   even   the  implied  warranty  of
 * MERCHANTABILITY  or  FITNESS FOR  A PARTICULAR   PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should  have received a  copy of  the GNU  General Public  License
 * along with   this  program; if   not,  write  to   the Free   Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <weix/errno.h>
#include <weix/signal.h>
#include <weix/wait.h>
#include <weix/sched.h>
#include <weix/kernel.h>
#include <weix/tty.h>
#include <weix/mm.h>
#include <asm/fs_func.h>

#include <weix/extern_func_T_T.h>

/*-------------------------------------------------------------------*
 * preferences
 *-------------------------------------------------------------------*/
int sys_pause(void);
int sys_close(unsigned int fd);

/*-------------------------------------------------------------------*
 * sys_kill
 *-------------------------------------------------------------------*/
int sys_kill(int pid,int sig)
{
	return -1;
}

/*-------------------------------------------------------------------*
 * sys_exit
 *-------------------------------------------------------------------*/
int sys_exit(int error_code)
{
	return -1;
}

/*-------------------------------------------------------------------*
 * sys_waitpid
 *-------------------------------------------------------------------*/
int sys_waitpid(pid_t pid,int * stat_addr, int options)
{
	return -1;
}


