/* 
 * KSC-5601 Hangul code mapped to combination ("johab") code
 *
 * This table is in public domain and used by Hangul console driver for 
 * Linux written by Bang Jun-Young <bangjy@geocities.com>, 1997.
 */

const unsigned char ksc5601_johab_table[] = {
    "abehijkqstuvwxy{|}"
    "ɈAEIQSUVWabcehiqsuvw"
    "{ŉɉˉщӉՉ׉A"
    "BEIQSUWaeisuՊ"
    "AEIabehijqsuwabce"
    "ikqsuvw{ABEQU"
    "Waeiuv{ɍ֍׍AEIQSWa"
    "ŎɎюӎ֎Aabegikpqs"
    "uw{abcehijkqsuvwxy{}"
    "ABEIQSUVWabeiq"
    "svwzőɑ֒AEIQSUabeisuw"
    "ABIQSWabeijkqsuwx|"
    "abcehijklpqsuvwxy}"
    "ABEIQSUVWaeivw"
    "ŕɕAEIQSUa"
    "זAEIQWabehikqsuw"
    "abeiqsuvw}ABEI"
    "QSUVWavəAEabeh"
    "iqsuabeiqsuvwx|}"
    "ABEIQSUWabeiqsuvw"
    "ŝםAEIQSUWaeisuw"
    "ABEIQSUWabeiqsuwx{|"
    "abeghijkqsuwx{}"
    "ABEIQSUVWabeiuvwy"
    "š֡עAEISUWaeisu"
    "AEIQUaeiquabcdehij"
    "klqsuw{ABE"
    "HIQSUVWabeisuvw{ť֥ABE"
    "IQSaeAEIQUWab"
    "eiqsuabeikqsuvw}"
    "AWabqsuvwAaw"
    "AWaeiqsabdehijkqsuvw{"
    "ŬɬѬ׬"
    "ABEIQSUVWabeiqsuvw"
    "ŭɭ׭AEIQSUabeiqsuw"
    "®ŮɮѮ׮ABIQUWabeijqsuw"
    "abdeiqsvw}"
    "AEIW±űֱAEIQSa"
    "Wabeikpqsabefgijkpqsu"
    "vw{|ŴɴӴ"
    "ABEIQSUWabceiklqstuvw{|}"
    "µŵɵѵӵյֵ׵A"
    "BEIQSUWabeiqsuw"
    "ŶɶѶӶ׶ABEIQSUWYabeioqsuwxyz{"
    "|}abeghikqsuvwx"
    "ŸɸABEIQSU"
    "Waeiqsvw¹ɹӹչ׹AEIQS"
    "UWabewAEIQabeiq"
    "suwabegilqsuvw"
    "AWav½ɽֽAEI"
    "QSwAaquwabegiqs"
    "uvwxABEIQSU"
    "WaevAEIQSUWaq"
    "¡¶AEIQWabeiqsuwáâåèéêñóõ÷"
    "abeiqsuwāĂąĉđēĕĖėġĢķABEIQ"
    "SUWaeiqsuvwŁšŢťũűųŵŷAIaƁƂƅƉ"
    "ƑƓƕƗơƥƩƷAEIQabeiqswǡǢǥǩǱǳ"
    "ǵǷabeijqsuvwȁȂȅȉȑȓȕȖȗȡȷAB"
    "EIQSUWaevɁɅɡɢɥɩɱɳɵɷɼAEUWaʁʂʅʉʑʓʕ"
    "ʗʡʶAEIQWabehikqsuˁ˅ˉˑ˓ˡˢ˥˩˱"
    "˳˵˷abceikqsuvw{̡̢̖̗́̂̅̉̑̓̕"
    "ABEIQSUWaeiqsvẃ͉͓͕ͥͩ͢͡ͱͳ͵ͷAEaeis"
    "u΁΂΅ΈΉ΋ΑΓΕΗΡηAEIQUWaeiqsuϡϢϥϩϱ"
    "ϳϵϷabeinqsuwЁЂЅЉБГЕЖЗСзABE"
    "IQSUWabeiqsuvwсхщѓѡѢѥѩѮѱѳѵѷѻ"
    "ABEISUWaeisuҁ҂҅҉Ҏґҕҗҡҥҩұҷ"
    "ABEIQUWabeghijqsuw{ӁӅӉӑӓӗӡӢӥ"
    "өӱӳӵӷ"
};
