/*-------------------------------------------------------------------*
 * kernel/fs/char_dev.c
 *-------------------------------------------------------------------*/

/*
 * Weix Operating System
 * Copyright (C) 2001 Jung Won Gyo
 *
 * This program is  free software; you can  redistribute it and/or modify
 * it under the terms  of the GNU General Public  License as published by
 * the  Free Software Foundation; either version  2,  or (at your option)
 * any later version.
 *
 * This program is distributed  in the hope that  it will be  useful, but
 * WITHOUT    ANY  WARRANTY;  without   even   the  implied  warranty  of
 * MERCHANTABILITY  or  FITNESS FOR  A PARTICULAR   PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should  have received a  copy of  the GNU  General Public  License
 * along with   this  program; if   not,  write  to   the Free   Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <weix/errno.h>

#include <weix/sched.h>
#include <weix//kernel.h>

#include <weix/kdebug.h>
#include <weix/extern_func_T_T.h>

/*-------------------------------------------------------------------*
 * preferences
 *-------------------------------------------------------------------*/
static int rw_ttyx(int rw,unsigned minor,char * buf,int count);
static int rw_tty(int rw,unsigned minor,char * buf,int count);

typedef int (*crw_ptr)(int rw,unsigned minor,char * buf,int count);

/*-------------------------------------------------------------------*
 * defines
 *-------------------------------------------------------------------*/
#define NRDEVS ((sizeof (crw_table))/(sizeof (crw_ptr)))

/*-------------------------------------------------------------------*
 * rw_char
 *-------------------------------------------------------------------*/
int rw_char(int rw,int dev, char * buf, int count)
{
	kprintf("in rw_char");
	return -1;
}
