/*-------------------------------------------------------------------*
 * kernel/fs/ioctl.c
 *-------------------------------------------------------------------*/

/*
 * Weix Operating System
 * Copyright (C) 2001 Jung Won Gyo
 *
 * This program is  free software; you can  redistribute it and/or modify
 * it under the terms  of the GNU General Public  License as published by
 * the  Free Software Foundation; either version  2,  or (at your option)
 * any later version.
 *
 * This program is distributed  in the hope that  it will be  useful, but
 * WITHOUT    ANY  WARRANTY;  without   even   the  implied  warranty  of
 * MERCHANTABILITY  or  FITNESS FOR  A PARTICULAR   PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should  have received a  copy of  the GNU  General Public  License
 * along with   this  program; if   not,  write  to   the Free   Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <weix/string.h>
#include <weix/errno.h>
#include <weix/stat.h>
#include <weix/sched.h>
#include <weix/extern_func_T_T.h>

/*-------------------------------------------------------------------*
 * preferences
 *-------------------------------------------------------------------*/
typedef int (*ioctl_ptr)(int dev,int cmd,int arg);

/*-------------------------------------------------------------------*
 * defines
 *-------------------------------------------------------------------*/
#define NRDEVS ((sizeof (ioctl_table))/(sizeof (ioctl_ptr)))

/*-------------------------------------------------------------------*
 * sys_ioctl
 *-------------------------------------------------------------------*/
int sys_ioctl(unsigned int fd, unsigned int cmd, unsigned long arg)
{	
	return 1;
}
